Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# Main.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: Main.h,v 1.13 2002/11/09 16:09:40 data Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __MAIN_H__
    00025 #define __MAIN_H__
    00026 //--------------------------------------------------------------------
    00027 //Includes
    00028 //--------------------------------------------------------------------
    00029
    00030 #include <math.h>
    00031
    00032 #include "ExDefine.h"
    00033 #include "ExMath.h"
    00034 #include "ExManagerWindow.h"
    00035 #include "ExManagerConsole.h"
    00036 #include "ExManagerOutput.h"
    00037 #include "ExManagerTexture.h"
    00038 #include "ExManagerCollision.h"
    00039 #include "ExManagerMenu.h"
    00040 #include "ExManagerInterface.h"
    00041 #include "ExManagerMap.h"
    00042 #include "ExManagerCommand.h"
    00043 #include "ExManagerParticuleSystem.h"
    00044 #include "ExManagerGizmo.h"
    00045 #include "ExManagerLight.h"
    00046 #include "ExManagerFog.h"
    00047 #include "ExManagerAnimation.h"
    00048 #include "ExManagerId.h"
    00049 #include "ExManagerSound.h"
    00050 #include "ExManagerSpirit.h"
    00051 #include "ExManagerInputGLUT.h"
    00052 #include "ExNihiloNameSpace.h"
    00053 #include "ExCFile.h"
    00054 #include "ExCOptions.h"
    00055 //-------------------------------------------
    00056 #include "ExManager.h"
    00057 #include "ExManagerObject.h"
    00058 #include "ExManagerModele.h"
    00059 #include "ExManagerCamera.h"
    00060 #include "ExManagerNetwork.h"
    00061 #include "ExCModel.h"
    00062 #include "ExCObject.h"
    00063 #include "ExManagerFont.h"
    00064 #include "ExManagerSpecialEffect.h"
    00065 #include "ExManagerVertexArrays.h"
    00066 //--------------------------------------------------------------------
    00067 //fonctions for glut call back
    00068 //--------------------------------------------------------------------
    00069 void display(void);
    00070 void reshape(int w, int h) ;
    00071 void keyboard(unsigned char key,int x,int y);
    00072 void keyboardup(unsigned char key, int x, int y);
    00073 void spekeyboard(int key,int x,int y);
    00074 void spekeyboardup(int key, int x, int y) ;
    00075 void Mouse(int button, int state, int x, int y);
    00076 void MotionFunc(int x, int y);
    00077 void PassiveMotionFunc(int x, int y);
    00078 void SpaceballMotionFunc(int x, int y, int z);
    00079 void SpaceballRotateFunc(int x, int y, int z);
    00080 void TabletMotionFunc(int x, int y);
    00081 void TabletButtonFunc(int button, int state, int x, int y);
    00082 void Focus(int state);
    00083 void DrawGrid(void);
    00084 void SetGlutCallBack(void);
    00085 void SetManagerLink(void);
    00086 void InitManager(void);
    00087 void InitGlExtension(void);
    00088 void RoutingtoConsole(const char *Label);
    00089 //--------------------------------------------------------------------
    00090 // Variables
    00091 //--------------------------------------------------------------------
    00092 ExManagerWindow                         *ManagerWindow;
    00093 ExManagerConsole                        *ManagerConsole;
    00094 ExManagerOutput                         *ManagerOutPut;
    00095 ExManagerTexture                        *ManagerTexture;
    00096 ExManagerCollision                      *ManagerCollision;
    00097 ExManagerMenu                           *ManagerMenu;
    00098 ExManagerInterface                      *ManagerInterface;
    00099 ExManagerMap                            *ManagerMap;
    00100 ExManagerCommand                        *ManagerCommand;
    00101 ExManagerParticuleSystem        *ManagerParticuleSystem;
    00102 ExManagerGizmo                          *ManagerGizmo;
    00103 ExManagerLight                          *ManagerLight;
    00104 ExManagerFog                            *ManagerFog;
    00105 ExManagerAnimation                      *ManagerAnimation;
    00106 ExManagerInputGLUT                      *ManagerInputGLUT;
    00107 ExManagerId                                     *ManagerId;
    00108 ExManagerSpirit                         *ManagerSpirit;
    00109 ExManagerSound                          *ManagerSound;
    00110 //--------------------------------------------------------------------
    00111 ExManagerModel                          *ManagerModele;
    00112 ExManagerCamera                         *ManagerCamera;
    00113 ExManagerNetwork                        *ManagerNetwork;
    00114 ExManagerFont                           *ManagerFont;
    00115 ExManagerSpecialEffect          *ManagerSpecialEffect;
    00116 ExManagerVertexArrays           *ManagerVertexArrays;
    00117 bool m_FullScreen;
    00118
    00119 #endif//__MAIN_H__